clang 8.0.0

Public Member Functions | List of all members
clang::Sema::CompoundScopeRAII Class Reference

A RAII object to enter scope of a compound statement. More...

`#include "clang/Sema/Sema.h"`

## Public Member Functions
| CompoundScopeRAII (Sema &S, bool IsStmtExpr=false)
| ~CompoundScopeRAII ()

## Detailed Description

A RAII object to enter scope of a compound statement.

Definition at line 3715 of file Sema.h.

## Constructor & Destructor Documentation

## ◆ CompoundScopeRAII()

clang::Sema::CompoundScopeRAII::CompoundScopeRAII | ( | Sema & | S,
|  | bool | IsStmtExpr = `false`
| ) |  |
| inline

Definition at line 3717 of file Sema.h.

References clang::Sema::ActOnStartOfCompoundStmt().

## ◆ ~CompoundScopeRAII()

clang::Sema::CompoundScopeRAII::~CompoundScopeRAII | ( |  | ) |
| inline

Definition at line 3721 of file Sema.h.

The documentation for this class was generated from the following file:

- include/clang/Sema/Sema.h